- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pkg5_publisher – Manages Solaris 11 Image Packaging System publishers

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- IPS packages are the native packages in Solaris 11 and higher.

- This modules will configure which publishers a client will download IPS packages from.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
enabled boolean | Choices: no yes | Is the repository enabled or disabled?
mirror - |  | A path or URL to the repository mirror. Multiple values may be provided.
name - / required |  | The publisher's name. aliases: publisher
origin - |  | A path or URL to the repository. Multiple values may be provided.
state - | Choices: present ← absent | Whether to ensure that a publisher is present or absent.
sticky boolean | Choices: no yes | Packages installed from a sticky repository can only receive updates from that repository.

## Examples

    # Fetch packages for the solaris publisher direct from Oracle:
    - pkg5_publisher:
        name: solaris
        sticky: true
        origin: https://pkg.oracle.com/solaris/support/

    # Configure a publisher for locally-produced packages:
    - pkg5_publisher:
        name: site
        origin: 'https://pkg.example.com/site/'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Peter Oliver (@mavit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.